package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.system.ParameterParam;
import api.common.pojo.po.system.ParameterPO;
import api.common.pojo.vo.system.ParameterVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;

@Mapper
@Repository
public interface ParameterMapper {

    List<ParameterVO> getParameterList(ParameterParam pageParam);

    void insert(ParameterPO parameterPO);

    void deleteById(ParameterPO parameterPO);

    List<ParameterVO> getParamHistory(ParameterParam pageParam);

    HashMap<String, Integer> getSceneParam(@Param("userId") String userId);

    ParameterVO getParameterByUserId(String userId);
}
